# layergrouptree.cpp File Reference

Template File. More...

`#include <synfig/layer.h>`
`#include "layergrouptree.h"`
`#include <gtkmm/treemodelsort.h>`
`#include <ETL/misc>`
`#include "general.h"`

## Functions

static void | __group_grabber (const Gtk::TreeModel::iterator &iter, std::list< synfig::String > *ret)
static void | __layer_grabber (const Gtk::TreeModel::iterator &iter, LayerGroupTree::LayerList *ret)

## Detailed Description

Template File.

$Id$

## Function Documentation

static void __group_grabber | ( | const Gtk::TreeModel::iterator & | iter,
|  | std::list< synfig::String > * | ret |
| ) |  |  | `[inline, static]`

References studio::LayerGroupTreeStore::Model::group_name, studio::LayerGroupTreeStore::Model::is_group, and studio::LayerGroupTree::model.

Referenced by studio::LayerGroupTree::get_selected_groups().

static void __layer_grabber | ( | const Gtk::TreeModel::iterator & | iter,
|  | LayerGroupTree::LayerList * | ret |
| ) |  |  | `[inline, static]`

References studio::LayerGroupTreeStore::Model::is_layer, studio::LayerGroupTreeStore::Model::layer, and studio::LayerGroupTree::model.

Referenced by studio::LayerTree::get_selected_layers(), and studio::LayerGroupTree::get_selected_layers().